package de.intevation.flys.client.client.ui;

import com.smartgwt.client.widgets.Canvas;
import com.smartgwt.client.widgets.layout.HLayout;


/**
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public class FLYSView extends Canvas {

    /** The project list displaying the projects of a user.*/
    protected ProjectList projectList;

    /** The layout provided by this widget.*/
    protected HLayout layout;


    /**
     * The default constructor for creating a new empty FLYSView. After creating
     * the components, {@link init()} is called to do the layout work.
     */
    public FLYSView() {
        layout = new HLayout();

        init();
    }


    /**
     * This method is called to do the layout work.
     */
    protected void init() {
        setWidth("100%");
        setHeight("*");

        setBorder("1px solid #808080");
        setBackgroundColor("#C3D9FF");

        addChild(layout);
    }


    /**
     * Set the current project list. Previous ProjectLists are replaced by the
     * new one.
     */
    public void setProjectList(ProjectList projectList) {
        if (this.projectList != null) {
            removeChild(this.projectList);
        }

        this.projectList = projectList;
        layout.addMember(this.projectList);
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
